<div class="container-fluid p-0">
  <!-- PRACTITIONER HEADER -->
  <div class="practitioner-pane-header d-flex align-items-center justify-content-center"
    [ngClass]="{'bg-white': !isExpanded}">
    <h3 class="title flex-fill m-0" id="heading" *ngIf="isExpanded">Practitioners List</h3>
    <button class="expande-collapse-pane-btn rounded-circle" (click)="togglePractitionerPanel()">
      <i class="fa fa-angle-double-right" aria-hidden="true" *ngIf="!isExpanded"></i>
      <i class="fa fa-angle-double-left" aria-hidden="true" *ngIf="isExpanded"></i>
    </button>
  </div>

  <div *ngIf="isDiplayPanelUI">
    <!-- PRACTITIONER LIST FILTER -->
    <div class="practitioner-list-filter-wrapper d-flex align-items-center justify-content-center">
      <input type="text" class="flex-fill rounded" placeholder="Search Practitioner, Speciality"
        [formControl]="practionerSearchFormCtrl" />
      <button id="targetElement" class="practitioner-list-filter-btn"
        [class.disabled]="filteredPractionerList.length == 0" (click)="toggleFilter()">
        <i class="fa fa-filter" aria-hidden="true"></i>
      </button>

      <dx-popover class="sdlr_popup" target="#targetElement" position="top" [width]="176" [height]="114"
        [shading]="false" [position]="{my: 'right top', at: 'right bottom'}" [(visible)]="opened">
        <div class="eo-content-wrapper" *dxTemplate="let data of 'content'">
          <button class="prctioner-filter-button text-left"
            [ngClass]="{'selected': list.value == selectedPractitionerFilter}"
            (click)="practitionerFilterChanged(list.value)" *ngFor="let list of practitionerFilterList">
            {{list.text}}
          </button>
        </div>
      </dx-popover>
    </div>

    <div cdkDropList class="practitioner-list-wrapper" (cdkDropListDropped)="onChangePractitionerOrder($event)">
      <div class="practitioner-list-item d-flex align-items-center" [cdkDragDisabled]="!isCustomSortEnabled"
        [ngClass]="{'selected': value.selected}" *ngFor="let value of filteredPractionerListDisplay" cdkDrag>
        <div class="left-side-indicator"></div>
        <div class="practitioner-avatar-wrapper">
          <kendo-avatar *ngIf="!value.photo" class="practioner-sdlr-avatar" width="42px" height="42px" shape="circle"
            [initials]="value.initial"></kendo-avatar>
          <kendo-avatar *ngIf="value.photo" class="practioner-sdlr-avatar" width="42px" height="42px" shape="circle"
            [imageSrc]="value.photo"></kendo-avatar>
        </div>
        <div class="practitioner-details flex-fill d-flex flex-column align-items-center">
          <div class="practitioner-name-action-wrapper d-flex align-items-center w-100">
            <div class="flex-fill pttr-name helvetica-neue-medium">
              {{value.displayName}}
            </div>
            <button (click)="value.mouseOver = !value.mouseOver" class="border-0 bg-transparent"
              id="pttrAction_{{value.practitionerId}}">
              <mat-icon class="practitioner-action-button m-0">more_vert</mat-icon>
            </button>

            <dx-popover class="pttr-action-popover" target="#pttrAction_{{value.practitionerId}}" position="top"
              [width]="value.selected ? 207 : 173" [height]="69" [shading]="false"
              [position]="{my: 'left top', at: 'left bottom'}" [visible]="value.mouseOver">
              <div *dxTemplate="let data of 'content'">
                <button class="pttr-list-item-action-button d-flex align-items-center text-left w-100"
                  (click)="value.mouseOver = false;onPractitionerListAction(value, (list.value == null ? value.selected ? removeFrmSdlr : addToSdlr : list.value));"
                  *ngFor="let list of practitionerListAction">
                  <i class="{{list.icon | replaceString: value.selected ? 'minus' : 'plus'}}"></i>
                  <div class="flex-fill">
                    {{list.text | replaceString: value.selected ? 'Remove from' : 'Add to'}}
                  </div>
                </button>
              </div>
            </dx-popover>

          </div>
          <div class="pttr-specility-text text-left w-100 helvetica-neue-medium">
            <div class="specility-text">{{value.practitionerspecialitiesNamesString}}</div>
          </div>
          <div class="w-100 text-danger" *ngIf="!value.status">
            <span>Inactive</span>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
